Devstack installation failed with error message “stack.sh failed: full log in /opt/stack/logs”

Bug #1927358 reported by ldin
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
devstack
Incomplete
Undecided
Unassigned

Bug Description

Hello,

I encounter the following error when I run stack.sh:

ERROR: Editable requirements are not allowed as constraints
++./stack.sh:main:752 err_trap
++./stack.sh:err_trap:530 local r=1
stack.sh failed: full log in /opt/stack/logs/stack.sh.log.2021-05-06-115934
Error on exit

And a little higher I have this warning:

  Attempting uninstall: pip
    Found existing installation: pip 21.1.1
    Uninstalling pip-21.1.1:
      Successfully uninstalled pip-21.1.1
Successfully installed pip-21.1.1
WARNING: Running pip as root will break packages and permissions. You
should install packages reliably by using venv:
https://pip.pypa.io/warnings/venv

Any idea why?
Thanks

ldin (ldin)
description: updated
description: updated
description: updated
description: updated
Revision history for this message
Dr. Jens Harbott (j-harbott) wrote :

This issue should be resolved with current devstack, please attach your local.conf and the complete output of the stack.sh run if you still see this.

Changed in devstack:
status: New → Incomplete
Revision history for this message
LuXiaotian (luxiaotian) wrote :
Download full text (5.8 KiB)

hello
I have the same problem(https://paste.opendev.org/show/812015/)

+tools/install_pip.sh:main:133 install_get_pip
+tools/install_pip.sh:install_get_pip:62 [[ -r /home/lu/code/devstack/files/get-pip.py ]]
+tools/install_pip.sh:install_get_pip:63 grep -q '#!/usr/bin/env python'
+tools/install_pip.sh:install_get_pip:63 head -1 /home/lu/code/devstack/files/get-pip.py
+tools/install_pip.sh:install_get_pip:79 [[ ! -r /home/lu/code/devstack/files/get-pip.py ]]
+tools/install_pip.sh:install_get_pip:79 [[ -r /home/lu/code/devstack/files/get-pip.py.downloaded ]]
+tools/install_pip.sh:install_get_pip:82 local timecond=
+tools/install_pip.sh:install_get_pip:83 [[ -r /home/lu/code/devstack/files/get-pip.py ]]
+tools/install_pip.sh:install_get_pip:84 timecond='-z /home/lu/code/devstack/files/get-pip.py'
+tools/install_pip.sh:install_get_pip:87 curl --socks5 127.0.0.1:7072 -f --retry 6 --retry-delay 5 -z /home/lu/code/devstack/files/get-pip.py -o /home/lu/code/devstack/files/get-pip.py https://bootstrap.pypa.io/get-pip.py
  % Total % Received % Xferd Average Speed Time Time Time Current
                                 Dload Upload Total Spent Left Speed
  0 0 0 0 0 0 0 0 --:--:-- 0:00:01 --:--:-- 0
+tools/install_pip.sh:install_get_pip:90 touch /home/lu/code/devstack/files/get-pip.py.downloaded
+tools/install_pip.sh:install_get_pip:92 sudo -H -E python3.8 /home/lu/code/devstack/files/get-pip.py
/usr/local/lib/python3.8/dist-packages/setuptools/command/install.py:34: SetuptoolsDeprecationWarning: setup.py install is deprecated. Use build and pip and other standards-based tools.
  warnings.warn(
DEPRECATION: Configuring installation scheme with distutils config files is deprecated and will no longer work in the near future. If you are using a Homebrew or Linuxbrew Python, please see discussion at https://github.com/Homebrew/homebrew-core/issues/76621
Collecting pip
  Using cached pip-21.3.1-py3-none-any.whl (1.7 MB)
Installing collected packages: pip
/usr/local/lib/python3.8/dist-packages/setuptools/command/install.py:34: SetuptoolsDeprecationWarning: setup.py install is deprecated. Use build and pip and other standards-based tools.
  warnings.warn(
/usr/local/lib/python3.8/dist-packages/setuptools/command/install.py:34: SetuptoolsDeprecationWarning: setup.py install is deprecated. Use build and pip and other standards-based tools.
  warnings.warn(
DEPRECATION: Configuring installation scheme with distutils config files is deprecated and will no longer work in the near future. If you are using a Homebrew or Linuxbrew Python, please see discussion at https://github.com/Homebrew/homebrew-core/issues/76621
Successfully installed pip-21.3.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
+tools/install_pip.sh:main:136 set -x
+tools/install_pip.sh:main:140 pip_install_gr setuptools
+inc/python:pip_install_gr:76 local name=setuptools
+inc/python:pip_install_gr:77...

Read more...

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.